> ## Documentation Index > Fetch the complete documentation index at: https://docs.retailvista.net/llms.txt > Use this file to discover all available pages before exploring further. # /v26.4/AdditionalProductProperties/{itemId} ## OpenAPI ````json PUT /v26.4/AdditionalProductProperties/{itemId} { "openapi": "3.0.1", "info": { "title": "NedFox Retail3000 Core", "description": "This page documents the NedFox Retail3000 Core REST API", "version": "26.4" }, "paths": { "/v26.4/AdditionalProductProperties/{itemId}": { "put": { "tags": [ "AdditionalProductProperties" ], "parameters": [ { "name": "itemId", "in": "path", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AdditionalProductPropertyDTO" } }, "text/json": { "schema": { "$ref": "#/components/schemas/AdditionalProductPropertyDTO" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/AdditionalProductPropertyDTO" } } } }, "responses": { "200": { "description": "Success", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/AdditionalProductPropertyDTO" } }, "application/json": { "schema": { "$ref": "#/components/schemas/AdditionalProductPropertyDTO" } }, "text/json": { "schema": { "$ref": "#/components/schemas/AdditionalProductPropertyDTO" } } } }, "400": { "description": "Bad Request", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ValidationExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ValidationExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ValidationExceptionInfo" } } } }, "401": { "description": "Unauthorized", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } }, "403": { "description": "Forbidden", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "application/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } }, "text/json": { "schema": { "$ref": "#/components/schemas/ExceptionInfo" } } } } } } } }, "components": { "schemas": { "AdditionalProductPropertyDTO": { "type": "object", "properties": { "itemId": { "type": "integer", "format": "int32", "nullable": true }, "createdByUserId": { "type": "integer", "format": "int32", "nullable": true }, "createdDateTime": { "type": "string", "format": "date-time" }, "lastModifiedByUserId": { "type": "integer", "format": "int32", "nullable": true }, "lastModifiedDateTime": { "type": "string", "format": "date-time" }, "organizationId": { "type": "integer", "format": "int32", "nullable": true }, "companyId": { "type": "integer", "format": "int32", "nullable": true }, "productId": { "type": "integer", "format": "int32", "nullable": true }, "active": { "type": "boolean", "default": false, "nullable": true }, "deleted": { "type": "boolean", "default": false } }, "additionalProperties": false }, "ValidationExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true }, "validationExceptions": { "type": "array", "items": { "$ref": "#/components/schemas/ValidationExceptionRow" }, "nullable": true } }, "additionalProperties": false }, "ExceptionInfo": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "message": { "type": "string", "nullable": true }, "stackTrace": { "type": "string", "nullable": true } }, "additionalProperties": false }, "ValidationExceptionRow": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "errorMessage": { "type": "string", "nullable": true }, "severity": { "type": "string", "nullable": true }, "propertyName": { "type": "string", "nullable": true } }, "additionalProperties": false } } } } ````